LinuxAnswers - the LQ Linux tutorial section.
Go Back > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Fedora This forum is for the discussion of the Fedora Project.


  Search this Thread
Old 04-02-2013, 09:47 PM   #1
Registered: Oct 2004
Location: USA
Distribution: Fedora 22;CentOS 7; Kubuntu; Debian
Posts: 793

Rep: Reputation: 34
yum reports dublicates

Started getting weird messages whenever I run a yum update about duplicates. I wanted to get the messages to show here, so I did this:

yum check
Loaded plugins: auto-update-debuginfo, fastestmirror, langpacks, presto, refresh-packagekit
1:hpijs-3.13.2-1.fc18.x86_64 is a duplicate with 1:hpijs-3.12.11-1.fc18.x86_64
hplip-3.13.2-1.fc18.x86_64 is a duplicate with hplip-3.12.11-1.fc18.x86_64
hplip-common-3.13.2-1.fc18.x86_64 is a duplicate with hplip-common-3.12.11-1.fc18.x86_64
hplip-libs-3.13.2-1.fc18.x86_64 is a duplicate with hplip-libs-3.12.11-1.fc18.x86_64
libsane-hpaio-3.13.2-1.fc18.x86_64 is a duplicate with libsane-hpaio-3.12.11-1.fc18.x86_64
libxfce4menu-4.6.2-3.fc17.x86_64 has missing requires of
pcsx2-5381-1.fc17.i686 has missing requires of
php-5.4.12-1.fc18.x86_64 is a duplicate with php-5.4.11-1.fc18.x86_64
php-cli-5.4.12-1.fc18.x86_64 is a duplicate with php-cli-5.4.11-1.fc18.x86_64
php-common-5.4.12-1.fc18.x86_64 is a duplicate with php-common-5.4.11-1.fc18.x86_64
redland-1.0.15-2.fc18.1.x86_64 is a duplicate with redland-1.0.15-2.fc18.x86_64
redland-virtuoso-1.0.15-2.fc18.1.x86_64 is a duplicate with redland-virtuoso-1.0.15-2.fc18.x86_64
vlc-2.0.5-5.fc18.x86_64 is a duplicate with vlc-2.0.5-1.fc18.x86_64
vlc-core-2.0.5-5.fc18.x86_64 is a duplicate with vlc-core-2.0.5-1.fc18.x86_64
wxsvg-1.1.13-1.fc18.x86_64 is a duplicate with wxsvg-1.1.12-1.fc18.x86_64
Error: check all
What in the world is this and what should I do to fix it?

Old 04-03-2013, 09:12 AM   #2
Senior Member
Registered: Nov 2003
Location: Minnesota, US
Distribution: Fedora, Linux Mint, Ubuntu
Posts: 1,397

Rep: Reputation: 278Reputation: 278Reputation: 278
There's probably a more elegant (and faster) way to deal with dupes, but when I've run into duplicate packages, I just manually remove the old ones like this:
sudo rpm -e hpijs-3.12.11-1.fc18.x86_64
Crude, but generally effective.
1 members found this post helpful.
Old 04-11-2013, 09:38 PM   #3
Registered: Oct 2004
Location: USA
Distribution: Fedora 22;CentOS 7; Kubuntu; Debian
Posts: 793

Original Poster
Rep: Reputation: 34
thanks! I'll do that, then.


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
yum install flash ... yum: command not found ... which yum ... /usr/bin/yum tg3793 Fedora 8 04-13-2011 12:25 PM
yum reports package "- is not signed" Hi_This_is_Dev Linux - Server 4 09-24-2010 07:38 AM
how to update rhel 5 using centos yum updater without conflict with yum redhat plugin udayvikram Linux - Software 2 03-30-2010 09:15 AM
problem after yum yum yum (delicious) alaios Fedora 3 01-14-2009 03:34 AM
yum config error parsing file failed - yum won't run emuub Linux - Software 9 11-04-2008 06:48 AM

All times are GMT -5. The time now is 11:25 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration